<?php
    namespace Latencia;
    include_once RUTA_APP . 'application/controllers/Clases/Usuario.php'; 
    class Latencia{
        private ?int $id;
        private \Usuario $usuario;
        private int $latencia_dialvox;
        private int $latencia_vicidial;
        private int $latencia_telefonia;
        private \DateTime $fecha_dialvox;
        private \DateTime $fecha_vicidial;
        private \DateTime $fecha_telefonia;
        private string $ip_telefonia;
        private string $ip_web;
        public function __construct(?int $id, \Usuario $usuario, int $latencia_dialvox, int $latencia_vicidial, int $latencia_telefonia, \DateTime $fecha_dialvox, \DateTime $fecha_vicidial, \DateTime $fecha_telefonia, string $ip_telefonia, string $ip_web){
            $this->id = $id;
            $this->usuario = $usuario;
            $this->latencia_dialvox = $latencia_dialvox;
            $this->latencia_vicidial = $latencia_vicidial;
            $this->latencia_telefonia = $latencia_telefonia;
            $this->fecha_dialvox = $fecha_dialvox;
            $this->fecha_vicidial = $fecha_vicidial;
            $this->fecha_telefonia = $fecha_telefonia;            
            $this->ip_telefonia = $ip_telefonia;
            $this->ip_web = $ip_web;
        }

        public function getId():?int{
            return $this->id;
        }
        public function setId(?int $id):void{
            $this->id = $id;
        }

        public function getUsuario():\Usuario{
            return $this->usuario;
        }
        public function setUsuario(\Usuario $usuario):void{
            $this->usuario = $usuario;
        }

        public function getLatenciaDialvox():int{
            return $this->latencia_dialvox;
        }
        public function setLatenciaDialvox(int $latencia_dialvox):void{
            $this->latencia_dialvox = $latencia_dialvox;
        }

        public function getLatenciaVicidial():int{
            return $this->latencia_vicidial;
        }
        public function setLatenciaVicidial(int $latencia_vicidial):void{
            $this->latencia_vicidial = $latencia_vicidial;
        }

        public function getLatenciaTelefonia():int{
            return $this->latencia_telefonia;
        }
        public function setLatenciaTelefonia(int $latencia_telefonia):void{
            $this->latencia_telefonia = $latencia_telefonia;
        }

        public function getFechaDialvox():\DateTime{
            return $this->fecha_dialvox;
        }
        public function setFechaDialvox(\DateTime $fecha_dialvox):void{
            $this->fecha_dialvox = $fecha_dialvox;
        }

        public function getFechaVicidial():\DateTime{
            return $this->fecha_vicidial;
        }
        public function setFechaVicidial(\DateTime $fecha_vicidial):void{
            $this->fecha_vicidial = $fecha_vicidial;
        }

        public function getFechaTelefonia():\DateTime{
            return $this->fecha_telefonia;
        }
        public function setFechaTelefonia(\DateTime $fecha_telefonia):void{
            $this->fecha_telefonia = $fecha_telefonia;
        }

        public function getIpTelefonia():string{
            return $this->ip_telefonia;
        }
        public function setIpTelefonia(string $ip_telefonia):void{
            $this->ip_telefonia = $ip_telefonia;
        }

        public function getIpWeb():string{
            return $this->ip_web;
        }
        public function setIpWeb(string $ip_web):void{
            $this->ip_web = $ip_web;
        }
    }
?>